| Home | Libraries | People | FAQ | More

## Struct template pointer_plus_2_bits

boost::intrusive::pointer_plus_2_bits

## Synopsis

    template<typename Pointer>
    struct pointer_plus_2_bits {
      static const bool value;
    };

## Description

This is class that is supposed to have static methods to embed 2 extra bits of information in a pointer.

This is a declaration and there is no default implementation, because operations to embed bits change with every pointer type.

An implementation that detects that a pointer type whose has_pointer_plus_2_bits<>::value is non-zero can make use of these operations to embed bits in the pointer.